# DataExchange
TKIGES
IGESSelect

# IGESSelect Class Reference

This package defines the library of the most used tools for
IGES Files : Selections & Modifiers specific to the IGES norm,
and the most needed converters
.

`#include <IGESSelect.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Run ()
| Simply gives a prompt for a conversational action on standard input/output. Returns the status of a .
static Standard_EXPORT Standard_Integer | WhatIges (const Handle(IGESData_IGESEntity)&ent, const Interface_Graph &G, Handle(IGESData_IGESEntity)&sup, Standard_Integer &index)
| Gives a quick analysis of an IGES Entity in the context of a model (i.e. a File) described by a Graph. Returned values are : : the most meaningfull super entity, if any (else Null) <index> : meaningfull index relating to super entity, if any <returned> : a status which helps exploitation of , by giving a case (normally, types of <ent> and should suffice to known the case) .

## Member Function Documentation

void IGESSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESSelect::operator new | ( | size_t | size | ) | `[inline]`

void* IGESSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void IGESSelect::Run | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Integer IGESSelect::WhatIges | ( | const Handle(IGESData_IGESEntity)& | ent,
|  | const Interface_Graph & | G,
|  | Handle(IGESData_IGESEntity)& | sup,
|  | Standard_Integer & | index
| ) | `[static]`

The documentation for this class was generated from the following file:

- IGESSelect.hxx